/****************************************************************************************************************************
  defines.h

  For Portenta_H7 (STM32H7) with Vision-Shield Ethernet

  Portenta_H7_AsyncWebServer is a library for the Portenta_H7 with with Vision-Shield Ethernet

  Based on and modified from ESPAsyncWebServer (https://github.com/me-no-dev/ESPAsyncWebServer)
  Built by Khoi Hoang https://github.com/khoih-prog/Portenta_H7_AsyncWebServer
  Licensed under GPLv3 license
 *****************************************************************************************************************************/


#ifndef defines_h
#define defines_h


#if !( defined(ARDUINO_PORTENTA_H7_M7) || defined(ARDUINO_PORTENTA_H7_M4) )
	#error For Portenta_H7 only
#endif

#define _PORTENTA_H7_AWS_LOGLEVEL_     1

#define USE_ETHERNET_PORTENTA_H7        true

#include <Portenta_Ethernet.h>
#include <Ethernet.h>
#warning Using Portenta_Ethernet lib for Portenta_H7.

#include <Portenta_H7_AsyncWebServer.h>

// Enter a MAC address and IP address for your controller below.
#define NUMBER_OF_MAC      20

byte mac[][NUMBER_OF_MAC] =
{
	{ 0xDE, 0xAD, 0xBE, 0xEF, 0x32, 0x01 },
	{ 0xDE, 0xAD, 0xBE, 0xEF, 0x32, 0x02 },
	{ 0xDE, 0xAD, 0xBE, 0xEF, 0x32, 0x03 },
	{ 0xDE, 0xAD, 0xBE, 0xEF, 0x32, 0x04 },
	{ 0xDE, 0xAD, 0xBE, 0xEF, 0x32, 0x05 },
	{ 0xDE, 0xAD, 0xBE, 0xEF, 0x32, 0x06 },
	{ 0xDE, 0xAD, 0xBE, 0xEF, 0x32, 0x07 },
	{ 0xDE, 0xAD, 0xBE, 0xEF, 0x32, 0x08 },
	{ 0xDE, 0xAD, 0xBE, 0xEF, 0x32, 0x09 },
	{ 0xDE, 0xAD, 0xBE, 0xEF, 0x32, 0x0A },
	{ 0xDE, 0xAD, 0xBE, 0xEF, 0x32, 0x0B },
	{ 0xDE, 0xAD, 0xBE, 0xEF, 0x32, 0x0C },
	{ 0xDE, 0xAD, 0xBE, 0xEF, 0x32, 0x0D },
	{ 0xDE, 0xAD, 0xBE, 0xEF, 0x32, 0x0E },
	{ 0xDE, 0xAD, 0xBE, 0xEF, 0x32, 0x0F },
	{ 0xDE, 0xAD, 0xBE, 0xEF, 0x32, 0x10 },
	{ 0xDE, 0xAD, 0xBE, 0xEF, 0x32, 0x11 },
	{ 0xDE, 0xAD, 0xBE, 0xEF, 0x32, 0x12 },
	{ 0xDE, 0xAD, 0xBE, 0xEF, 0x32, 0x13 },
	{ 0xDE, 0xAD, 0xBE, 0xEF, 0x32, 0x14 },
};
// Select the IP address according to your local network
IPAddress ip(192, 168, 2, 232);

#endif    //defines_h
